org.apache.poi.hemf.record.emf

## Class HemfMisc

- java.lang.Object
- - org.apache.poi.hemf.record.emf.HemfMisc

-     public class HemfMisc
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HemfMisc.EmfCreateBrushIndirect` The EMR_CREATEBRUSHINDIRECT record defines a logical brush for graphics operations.
    `static class` | `HemfMisc.EmfCreateDibPatternBrushPt` The EMR_CREATEDIBPATTERNBRUSHPT record defines a pattern brush for graphics operations.
    `static class` | `HemfMisc.EmfCreateMonoBrush`
    `static class` | `HemfMisc.EmfCreatePen` The EMR_CREATEPEN record defines a logical pen for graphics operations.
    `static class` | `HemfMisc.EmfDeleteObject` The EMR_DELETEOBJECT record deletes a graphics object, which is specified by its index in the EMF Object Table
    `static class` | `HemfMisc.EmfEof`
    `static class` | `HemfMisc.EmfExtCreatePen`
    `static class` | `HemfMisc.EmfModifyWorldTransform`
    `static class` | `HemfMisc.EmfRestoreDc` The EMF_RESTOREDC record restores the playback device context from a previously saved device context.
    `static class` | `HemfMisc.EmfSaveDc` The EMF_SAVEDC record saves the playback device context for later retrieval.
    `static class` | `HemfMisc.EmfSetBkColor` The META_SETBKCOLOR record sets the background color in the playback device context to a specified color, or to the nearest physical color if the device cannot represent the specified color.
    `static class` | `HemfMisc.EmfSetBkMode` The EMR_SETBKMODE record specifies the background mix mode of the playback device context.
    `static class` | `HemfMisc.EmfSetBrushOrgEx`
    `static class` | `HemfMisc.EmfSetMapMode` The EMR_SETMAPMODE record specifies the mapping mode of the playback device context.
    `static class` | `HemfMisc.EmfSetMapperFlags` The EMR_SETMAPPERFLAGS record specifies parameters of the process of matching logical fonts to physical fonts, which is performed by the font mapper.
    `static class` | `HemfMisc.EmfSetMiterLimit` The EMR_SETMITERLIMIT record specifies the limit for the length of miter joins for the playback device context.
    `static class` | `HemfMisc.EmfSetRop2` The EMR_SETROP2 record defines a binary raster operation mode.
    `static class` | `HemfMisc.EmfSetStretchBltMode` The EMR_SETSTRETCHBLTMODE record specifies bitmap stretch mode.
    `static class` | `HemfMisc.EmfSetWorldTransform`
    `static class` | `HemfMisc.HemfModifyWorldTransformMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HemfMisc()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HemfMisc

          public HemfMisc()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.